import { select } from 'd3';

const svg = d3.select("svg");


//convert to float
const height = +svg.attr("height");
const width = +svg.attr("width");

console.log(typeof width)

const circle = svg.append('circle')
  .attr('r', height/2)
	.attr("cx", width/2)
	.attr("cy", height/2)
	.attr('fill', "yellow")
	.attr("stroke", "black");

const eyeSpacing = 100;

const leftEye = svg.append('circle')
  .attr('r', 30)
	.attr("cx", width/2 - 100)
	.attr("cy", height/2 - eyeSpacing)
	.attr('fill', "black")
	.attr("stroke", "black");

const rightEye = svg.append('circle')
  .attr('r', 30)
	.attr("cx", width/2 + 100)
	.attr("cy", height/2 - eyeSpacing)
	.attr('fill', "black")
	.attr("stroke", "black");

const g = svg.append("g")
	.attr("transform", "translate(200, 200)");

const mouth = g.append("path")
	.attr('d', arc()({
    innerRadius: 80,
    outerRadius: 100,
    startAngle: 0,
    endAngle: Math.PI
  }));